Page MenuHomePhabricator

Script to help readers using Eastern Arabic numerals in Arabic projects
Closed, ResolvedPublic

Description

This task is a split in 3 tasks of a major task T115561 .

We voted in Arabic Wikipedia for the exclusive use of Western Arabic numerals (WAN) (0, 1, 2 ) instead of allowing the use of Eastern Arabic numerals (EAN) (٠‎ - ١‎ - ٢) when editing.
21 for / none against
https://ar.wikipedia.org/wiki/%D9%88%D9%8A%D9%83%D9%8A%D8%A8%D9%8A%D8%AF%D9%8A%D8%A7:%D8%A7%D9%84%D9%85%D9%8A%D8%AF%D8%A7%D9%86/%D8%B3%D9%8A%D8%A7%D8%B3%D8%A7%D8%AA/10/2015

And the related policy have been updated
https://ar.wikipedia.org/w/index.php?title=%D9%88%D9%8A%D9%83%D9%8A%D8%A8%D9%8A%D8%AF%D9%8A%D8%A7%3A%D8%AF%D9%84%D9%8A%D9%84_%D8%A7%D9%84%D8%A3%D8%B3%D9%84%D9%88%D8%A8&type=revision&diff=17231844&oldid=16952006

Task : script to help readers using Eastern Arabic numerals
In the discussion of the vote above, someone said that it is possible to automatically change E to W numerals when saving the edits. Can you add this feature to Arabic projects ? Some editors (specially those editing from cellphones) still use the EAN (٠‎ - ١‎ - ٢). If not, we are going to use a bot to periodically change numerals and make some exceptions (articles about the Indian numbering system, .. ).

Event Timeline

Helmoony created this task.Oct 30 2015, 3:03 PM
Helmoony updated the task description. (Show Details)
Helmoony raised the priority of this task from to Needs Triage.
Helmoony added a subscriber: Helmoony.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 30 2015, 3:03 PM
Meno25 added a subscriber: Meno25.Oct 31 2015, 9:25 AM

something new ?

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 20 2015, 12:26 AM

something new ?

If there were news they were listed here. This task is in under "MediaWiki-Internationalization (Backlog)" and not prioritized. Anybody is welcome to provide patches to speed up fixing.

FShbib added a subscriber: FShbib.Mar 26 2016, 1:02 PM

@Helmoony Now it's exist in Arabic Wikipedia under Gadget-Numeral converter.js which imported by @Zack

alanajjar closed this task as Resolved.Sun, Jun 2, 2:39 AM
alanajjar assigned this task to Zack.

Removing MediaWiki-Internationalization as no code was changed in MediaWiki itself (Git repository), but some code was written on a Wikimedia website (not a Git repository) instead